X
Tap here to go to the mobile version of the site.

Support Forum

I need to update firefox when I try to it says I have to delete surf canyon, I went to my programs and that isn't even listed as one so I don't know what to do.

Posted

I need to update firefox and when I try to it says I need to delete Surf Canyon, I went to my programs and I can't find it anywhere. I don't even know what Surf Canyon is. Please help!!

I need to update firefox and when I try to it says I need to delete Surf Canyon, I went to my programs and I can't find it anywhere. I don't even know what Surf Canyon is. Please help!!

Additional System Details

Installed Plug-ins

  • Default Plug-in
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • np-mswmp
  • Mozilla ActiveX control and plugin module
  • Shockwave Flash 10.2 r159
  • Next Generation Java Plug-in 1.6.0_17 for Mozilla browsers
  • Npdsplay dll
  • DRM Netscape Network Object
  • DRM Store Netscape Plugin

Application

  • User Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.4) Gecko/20091016 (BT-football) Firefox/3.5.4 TTLSkins

More Information

the-edmeister
  • Top 25 Contributor
  • Moderator
5411 solutions 40297 answers

What was the exact wording of that message?

Firefox doesn't recommend deleting a program, just that specific add-ons will be disabled if they aren't compatible with the new version of Firefox.

Did you look for that "Surf Canyon" in your listing of installed add-ons in Firefox?

What was the exact wording of that message? Firefox doesn't recommend deleting a program, just that specific add-ons will be disabled if they aren't compatible with the new version of Firefox. Did you look for that "Surf Canyon" in your listing of installed add-ons in Firefox?